org.gradle

## Class GradleLauncher

- java.lang.Object
- - org.gradle.GradleLauncher

- Deprecated.
  Use the tooling API instead.

      @Deprecated
      public abstract class GradleLauncher
      extends Object

  Executes a Gradle build.

  `GradleLauncher` is deprecated. It has been replaced by the Tooling API. If you're interested in embedding Gradle you should read the user guide chapter on embedding Gradle. The main entry point to the Tooling API (and embedding Gradle) is `org.gradle.tooling.GradleConnector`.

  You should try using the Tooling API (via `GradleConnector`) instead of `GradleLauncher`. However, if you need some capability that isn't yet implemented in the Tooling API here is how you use `GradleLauncher`:

  1. Optionally create a `StartParameter` instance and configure it with the desired properties. The properties of `StartParameter` generally correspond to the command-line options of Gradle. You can use `createStartParameter(String...)` to create a `StartParameter` from a set of command-line options.
  2. Obtain a `GradleLauncher` instance by calling `newInstance(org.gradle.StartParameter)`, passing in the `StartParameter`, or an array of Strings that will be treated as command line arguments.
  3. Optionally add one or more listeners to the `GradleLauncher`.
  4. Call `run()` to execute the build. This will return a `BuildResult`. Note that if the build fails, the resulting exception will be contained in the `BuildResult`.
  5. Query the build result. You might want to call `BuildResult.rethrowFailure()` to rethrow any build failure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GradleLauncher()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addListener(Object listener)` Deprecated. Adds a listener to this build instance.
    `abstract void` | `addStandardErrorListener(StandardOutputListener listener)` Deprecated. Adds a `StandardOutputListener` to this build instance.
    `abstract void` | `addStandardOutputListener(StandardOutputListener listener)` Deprecated. Adds a `StandardOutputListener` to this build instance.
    `static StartParameter` | `createStartParameter(String... commandLineArgs)` Deprecated. No replacement.
    `abstract BuildResult` | `getBuildAnalysis()` Deprecated. Evaluates the settings and all the projects.
    `abstract BuildResult` | `getBuildAndRunAnalysis()` Deprecated. Evaluates the settings and all the projects.
    `static org.gradle.initialization.GradleLauncherFactory` | `getFactory()` Deprecated.
    `abstract StartParameter` | `getStartParameter()` Deprecated. Returns the `StartParameter` used by this build instance.
    `static void` | `injectCustomFactory(org.gradle.initialization.GradleLauncherFactory gradleLauncherFactory)` Deprecated.
    `static GradleLauncher` | `newInstance(StartParameter startParameter)` Deprecated. Use the tooling API instead.
    `static GradleLauncher` | `newInstance(String... commandLineArgs)` Deprecated. Use the tooling API instead.
    `abstract BuildResult` | `run()` Deprecated. Executes the build for this `GradleLauncher` instance and returns the result.
    `abstract void` | `useLogger(Object logger)` Deprecated. Use the given listener.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GradleLauncher

          public GradleLauncher()

      Deprecated.

  - ### Method Detail

    - #### run

          public abstract BuildResult run()

      Deprecated.

      Executes the build for this `GradleLauncher` instance and returns the result. Note that when the build fails, the exception is available using `BuildResult.getFailure()`.

      Returns:
        The result. Never returns null.

    - #### getBuildAnalysis

          public abstract BuildResult getBuildAnalysis()

      Deprecated.
      Evaluates the settings and all the projects. The information about available tasks and projects is accessible via the `Gradle.getRootProject()` object.
      Returns:
        The result. Never returns null.

    - #### getBuildAndRunAnalysis

          public abstract BuildResult getBuildAndRunAnalysis()

      Deprecated.
      Evaluates the settings and all the projects. The information about available tasks and projects is accessible via the `Gradle.getRootProject()` object. Fills the execution plan without running the build. The tasks to be executed tasks are available via `Gradle.getTaskGraph()`.
      Returns:
        The result. Never returns null.

    - #### newInstance

          @Deprecated
          public static GradleLauncher newInstance(StartParameter startParameter)

      Deprecated. Use the tooling API instead.
      Returns a `GradleLauncher` instance based on the passed start parameter.
      Parameters:
        `startParameter` - The start parameter object the GradleLauncher instance is initialized with
      Returns:
        The `GradleLauncher`. Never returns null.

    - #### getFactory

          @Deprecated
          public static org.gradle.initialization.GradleLauncherFactory getFactory()

      Deprecated.

    - #### newInstance

          @Deprecated
          public static GradleLauncher newInstance(String... commandLineArgs)

      Deprecated. Use the tooling API instead.
      Returns a `GradleLauncher` instance based on the passed command line syntax arguments.
      Parameters:
        `commandLineArgs` - A String array where each element denotes an entry of the Gradle command line syntax
      Returns:
        The `GradleLauncher`. Never returns null.

    - #### createStartParameter

          @Deprecated
          public static StartParameter createStartParameter(String... commandLineArgs)

      Deprecated. No replacement.
      Returns a `StartParameter` object out of command line syntax arguments. Each command line option has an associated field in the `StartParameter` object.
      Parameters:
        `commandLineArgs` - A String array where each element denotes an entry of the Gradle command line syntax
      Returns:
        The `GradleLauncher`. Never returns null.

    - #### injectCustomFactory

          @Deprecated
          public static void injectCustomFactory(org.gradle.initialization.GradleLauncherFactory gradleLauncherFactory)

      Deprecated.

    - #### addListener

          public abstract void addListener(Object listener)

      Deprecated.

      Adds a listener to this build instance. The listener is notified of events which occur during the execution of the build. See `Gradle.addListener(Object)` for supported listener types.

      Parameters:
        `listener` - The listener to add. Has no effect if the listener has already been added.

    - #### useLogger

          public abstract void useLogger(Object logger)

      Deprecated.
      Use the given listener. See `Gradle.useLogger(Object)` for details.
      Parameters:
        `logger` - The logger to use.

    - #### addStandardOutputListener

          public abstract void addStandardOutputListener(StandardOutputListener listener)

      Deprecated.

      Adds a `StandardOutputListener` to this build instance. The listener is notified of any text written to standard output by Gradle's logging system

      Parameters:
        `listener` - The listener to add. Has no effect if the listener has already been added.

    - #### addStandardErrorListener

          public abstract void addStandardErrorListener(StandardOutputListener listener)

      Deprecated.

      Adds a `StandardOutputListener` to this build instance. The listener is notified of any text written to standard error by Gradle's logging system

      Parameters:
        `listener` - The listener to add. Has no effect if the listener has already been added.

    - #### getStartParameter

          public abstract StartParameter getStartParameter()

      Deprecated.
      Returns the `StartParameter` used by this build instance.
      Returns:
        The parameter. Never null.